Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Derby 10.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.jdbc
Class ClientDriver

    java.lang.Object
      org.apache.derby.jdbc.ClientDriver

All Implemented Interfaces:
  java.sql.Driver

    public class ClientDriver

extends java.lang.Object
implements java.sql.Driver

Constructor Summary
`ClientDriver()`

Method Summary
`boolean` | `acceptsURL(java.lang.String url)`
`java.sql.Connection` | `connect(java.lang.String url, java.util.Properties properties)`
`static org.apache.derby.client.am.ClientJDBCObjectFactory` | `getFactory()` This method returns an Implementation of ClientJDBCObjectFactory depending on VM under use Currently it returns either ClientJDBCObjectFactoryImpl (or) ClientJDBCObjectFactoryImpl40
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`java.sql.DriverPropertyInfo[]` | `getPropertyInfo(java.lang.String url, java.util.Properties properties)`
`boolean` | `jdbcCompliant()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientDriver

    public ClientDriver()

Method Detail

### connect

    public java.sql.Connection connect(java.lang.String url,
                                       java.util.Properties properties)
                                throws java.sql.SQLException

  Specified by:
    `connect` in interface `java.sql.Driver`
  Throws:
    `java.sql.SQLException`

### acceptsURL

    public boolean acceptsURL(java.lang.String url)
                       throws java.sql.SQLException

  Specified by:
    `acceptsURL` in interface `java.sql.Driver`
  Throws:
    `java.sql.SQLException`

### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String url,
                                                         java.util.Properties properties)
                                                  throws java.sql.SQLException

  Specified by:
    `getPropertyInfo` in interface `java.sql.Driver`
  Throws:
    `java.sql.SQLException`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `java.sql.Driver`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `java.sql.Driver`

### jdbcCompliant

    public boolean jdbcCompliant()

  Specified by:
    `jdbcCompliant` in interface `java.sql.Driver`

### getFactory

    public static org.apache.derby.client.am.ClientJDBCObjectFactory getFactory()

  This method returns an Implementation of ClientJDBCObjectFactory depending on VM under use Currently it returns either ClientJDBCObjectFactoryImpl (or) ClientJDBCObjectFactoryImpl40

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Mon 2009-08-10 13:17:35-0700, from revision 802917
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.5 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.